Modules just don't work

Posted by umren on 2011-03-18 06:49

Hello!

i installed last activestate perl on ubuntu 10.10 under /opt directory, after that i installed a module called "Filesys::SmbClientParser" thru activestate ppm and tested how it works, well it didn't.

Error > http://paste.ubuntu.com/582103/

looks like it just don't get past correct libs in /opt, it just tried to find in my distribution ones.

umren | Fri, 2011-03-18 08:10

problem solves by

use lib "/opt/ActivePerl-5.12/site/lib";

except i don't know how to modify variable to don't do that on each script.. ;(